Instalar AUTOMATICAMENTE AIGLX + Beryl con Intel en Kubuntu/Ubuntu Edgy

Este es experimental. No lo he probado, ya que no tengo ninguna maquina con una tarjeta de video Intel.

AIGLX ya viene instalado en X.Org. El driver de Intel que viene en Ubuntu, ya le sirve la aceleración gráfica, así que lo único que se hace, es instalar Beryl y Emerald. Aca vamos…

Lo que este script hará:

Ejecutar todos los pasos necesarios, para instalar Beryl, sin que el usuario tenga que escribir algo, mientras el script corre.
Instalar Beryl
Automaticamente ejecutar Beryl cuando se inicie sesion. (Kubuntu)

Descarga este archivo (Ubuntu): instalar-beryl-ubuntu (click derecho, guardar como).
ó
Descarga este archivo (Kubuntu): instalar-beryl-kubuntu (click derecho, guardar como).

Ahora, para correr el script, ejecuta estos comandos (Ubuntu):
sudo chmod +x ./instalar-beryl-ubuntu
sudo ./instalar-beryl-ubuntu
ó
Ahora, para correr el script, ejecuta estos comandos (Kubuntu):
sudo chmod +x ./instalar-beryl-kubuntu
sudo ./instalar-beryl-kubuntu

NOTA: No cierres la cosola, espera a que todo este acabado.

Saludos.

Anuncios

42 comments so far

  1. gh0st on

    hola, tengo el ubuntu dapper me sirve para esto man?

  2. Strike on

    Esta version (del script automatico) no se puede instalar con dapper.

    Pero se puede instalar AIGLX + Beryl, así que despues lo postearé…
    Es recomendable de que te pases a Edgy…

    Saludos.

  3. gh0st on

    gracias man

  4. Ajeo on

    hola..ocupe el codigo en kubuntu…y no se me inicia el beryl :s
    y cuando lo quiero hacer directamente en kde…tampoco puedo ayuda… :S

    Saludo

  5. Strike on

    Hola….

    Esto es para instalarlo. Para lanzarlo, en una consola, pusiste
    beryl-manager

    ??… Y despues de eso, si te salió abajo en la bandeja una esmeralda roja, debes ahi seleccionar el “Window Manager” y poner Beryl.

    Saludos.

    PD: Si no te resulta, trata de poner más detalles.

  6. Foxwar on

    Yo e segido tus pasos y tengo Beryl activado, la esmeralda roja pero al activar el gestor de entanas en beryl peta y se pone el de KDE alguna propuesta que pueda realizar?? gracias por el tutorial

  7. Strike on

    Foxwar: Mira, tira beryl-manager desde la consola, y ve si puedes decifrar el error que te sale… Si no, pegalo y te ayudaré.

    Ah y, que tarjeta tienes, osea, que modelo?

    Saludos.

  8. Moe on

    Mis respetos, el scrpt instaló Beryl sin ningun problema, y yo no sé casi nada de linux. te agradezco mucho y sepace que tienes un admirador más.

    XD

  9. Strike on

    🙂 De nada y sigue visitando el blog :D!

  10. Mydrac on

    Hola: Muchas gracias por el script lo probe en XUBUNTU 6.10 y funciono perfecto pero lo desinstale porque pues salio la nueva version y prefiero actualizarme a pesar de que justo el dia que salio la vesion final del 7.04 fue exactamente el mismo dia que me senti a gusto por primera vez con Linux porque todo siempre tiene su “cosa” para hacer correr lo programas y no queria actualizarme pero bueno luego de un par de dias con todo a la perfeeccion extrañe el estar jugando con el linux para hacer funcionar los programas asi que decidi actualizar a XUBUNTU 7.04 y probar tu script luego te cuento como funciona. (use para ambos casos el script para ubuntu.)

  11. Lacri on

    bueno yo tengo ubuntu 6.0.10
    ya tengo instalado Beryl
    pero la verdad es que no se ni como le hice
    segui las instrucciones de la pagina de beryl
    pero ahora tengo un error por que no aparecen los botones
    de cerrar, minimizar etc
    y ademas lo efectes funcionan hasta que escribo
    beryl en una terminal

  12. Strike on

    Lacri: El problema es que no agregaste unas líneas a xorg.conf, que son las siguientes:

    -Ejecuta,
    sudo kate /etc/X11/xorg.conf
    -busca la seccion Screen y agregas estas dos líneas:
    Option “AddARGBGLXVisuals” “True”
    Option “DisableGLXRootClipping” “True”

    Guardas, reincias las X (CTRL+ALT+BACKSPACE) y listo.
    Para que no te pase lo del terminar, baja beryl-manager y este estará en los programas del menu principal, y de ahí lo lanzas.

    Saludos.

    PD: disculpa la demora, pensé que ya te había respondido xD

  13. Alex on

    Hola, instalé Beryl en mi Ubuntu 6.10 tal como dijiste y al reiniciar, Beryl inicio con el sistema, pero inmediatamente inicia el sistema se cierra la seción y al volver a iniciar seción pasa lo mismo. ¿Cómo hago para que Beryl funcione bien y no pase eso?
    Gracias.

  14. Strike on

    /Alex:
    Que modelo es tu tarjeta?… Y, como es ese “cierre de sesión”, se te vuelve a iniciar X o KDM ?…

    Y si puedes darme mas info de tu pc por favor..

    Saludos.

  15. motormac on

    hola amigo, a mi se me queda piyado en: “99% [Conectando a es.archive.ubuntu.com (32.1.7.32)]” se está un par de minutos asi y luego me sale el error:

    Err http://es.archive.ubuntu.com edgy Release.gpg
    No puedo iniciar la conexión a es.archive.ubuntu.com:80 (2001:720:c10:d::7). – connect (101 Network is unreachable) [IP: 2001:720:c10:d::7 80]

    soy muy novato… hago algo mal o me dejo algo, o es que han eliminado el server al que intenta conectar?

  16. Strike on

    El servidor está online, es raro lo que te pasa.

    Lo que puedes hacer es cambiar los repositorios (es.archive.ubuntu.com), busca informacion sobre como cambiarlos en http://www.google.cl

    Otra cosa rara, es la IP que te aparece :S… Intenta denuevo al otro día.

    Y otra pregunta, usas IPv6 ?

  17. motormac on

    IPv6 … :p lo siento no se lo que es, estoy en un pc portatil y hasta que tenga configurado el wifi, estoy usando cable de red con un router de 4 puertos y ip dinámica (espero que te sirva la info).

    lo que si me estoy dando cuenta es que en el gestor de aplicaciones no me deja instalar casi ninguna porque me dice que “no se puede instalar en un equipo como el suyo(i386)” asi que estoy deduciendo que puede ser un fayo de que no haya instalado la version correcta de ubuntu para mi procesador (core2 duo 5500), ya que instalé la versión de x86 y creo que para mi máquina necesito la de AMD64-

    puede ser x eso?

    gracias de antemano

  18. Strike on

    Si tienes un AMD64, igual sirve un para la arquitectura i386…

    Es muy raro lo que te pasa… no será que habras instalado la version x86_64 (64 bits), escribe en una consola, uname -a y pegalo aca..

    Lo otro, intenta cambiando los repositorios, en vez de es.archive.ubuntu.com, usa: us.archive.ubuntu.com o cl.archive.ubuntu.com, etc. Ahí anda probando…. (para hacerlo, en una consola pones: sudo kate /etc/apt/sources.list)

    Saludos..

  19. motormac on

    he puesto el uname -a y este es el resultado:

    djmotor@ubuntupc:~$ uname -a
    Linux ubuntupc 2.6.17-11-generic #2 SMP Tue Mar 13 23:32:38 UTC 2007 i686 GNU/Linux

    ahora miraré lo de los repositorios a ver 😉

  20. motormac on

    ya he cambiado los repositorios y sigo teniendo el mismo problema, aunque la mayoría de datos los saca de los nuevos repos, al final vuelve a insistir en conectarse al repo español:

    Des:9 http://ubuntu.beryl-project.org edgy/main Packages [6300B]
    99% [8 Packages bzip2 0] [Conectando a esbzip2: (stdin) is not a bzip2 file.
    Err http://ubuntu.beryl-project.org edgy/main Packages
    El subproceso bzip2 devolvió un código de error (2)
    99% [9 Packages bzip2 0] [Conectando a esbzip2: (stdin) is not a bzip2 file.
    Err http://ubuntu.beryl-project.org edgy/main Packages
    El subproceso bzip2 devolvió un código de error (2)
    99% [Conectando a es.archive.ubuntu.com (32.1.7.32)]

  21. Strike on

    Quita los repositorios del mirror español. Y el error que te está dando es con el repositorio de Beryl..

  22. motormac on

    el problema era la versión de ubuntu que tenía instalada la 6.06 para x86, he instalado la 7.04 para amd64 y va de lujo, nada más instalar, me ha detectado automaticamente el modulo wifi que todavia no había podido usar, y en la lista de synaptics aparecían por fin programas que antes no se listaban como beryl y kopete.

    Quizás es que hayan descuidado los repositores de la version 6.06 de ubuntu nose.

    Gracias strike

  23. Strike on

    🙂 que bueno que hayas podido instalarlo….

    Parece que esta descuidado, yo uso 7.04.

    Saludos.

  24. leo on

    si me instalo el beryl pero ahora ya no supe que hacer despues, pues me dice que agrege beryl manager a mis programas de sesion, pero la verdad es que es mi primera vez en Ubuntu e incluso en linux y pues no se como hacerlo

  25. Strike on

    No es obligatorio, es solamente para que te inicie beryl junto con KDE.

    Es mejor que no inicie junto, en caso de emergencia..

    Saludos.

  26. teibor on

    Saludos… hola soy un Novato en LINUX… yo tengo una intel 945G Chipset Family….y necesito saber como hacr para instalar AIGLX en mi laptop?? Ya que tengo la version UBUNTU 7.4 con KUBUNTU-DESKTOP…he tratado pero aun nada ?? ademas no se que tengo isntalado y que no?? or ejm; Java,Flash… y otras aplicaciones… necesito ayuda??

  27. Strike on

    teibor: AIGLX viene por defecto (Xorg 7.1).

    Tienes que instalar solamente Beryl.

  28. Primitivo on

    Disculpa Strike, me parece muy bueno tu script, me va muy bien beryl en mi ubuntu, me darias permiso de postearlo el mismo script en mi blog http://trixmontero.blogspot.com ya que algo como esto debe de estar respaldado por si alguien mas lo necesita ya que hay tantos blogs en los que no funciona lo que postean.

    Atte. Trix

  29. ZART1984 on

    hola instalé ubuntu ultimate y todo bien, me aparacian muy bien los efectos pero comence a configurarlos a mi gusto y sopas!!!!…ya no me aparecian y no me aparecen los efectos no puedo mostrar el cubo ni ninguno de los efectos, en las opciones del beryl me muestra los efectos cambiando al modo compiz, pero no me muestra el cubo…a que se deberá que movi, o hice algo mal…mi LAP es hp pavillio 2235 por favor ayuda…soy nuevo en LINUX y deseoso de dejar completamente Windows 🙂 de ante mano GRACIAS!!!

  30. Strike on

    Primitivo: Disculpa por responderte muy tarde, pero si, puedes postearlo y hacer lo que quieras con el, modificarlo, publicarlo, etc 🙂

    Saludos!

  31. Strike on

    ZART1984: No hiciste ningun backup de tu configuracion?, trata de dejarlo en default..

  32. coke on

    hola
    no puedo descargar el script… no se se abre un documento….
    este es un archivo??
    alguien que me ayude porfaaaa

  33. Strike on

    coke: Al link guardalo haciendo click derecho sobre el y eligiendo “Guardar enlace como…”

  34. Samot on

    hola, buen aporte ese man, pero sabes? lo baje, segui los pasos (tengo KUBUNTU 6.06), me salio todo bien, onda que beryl estaba instalado (asi tal cual salia en la consola), luego reinicie y no pasa nada, no se donde esta el beryl :S… incluso luego me fui a la consola de nuevo y teclie “beryl-manager” y me arrojo el sgte error:

    bash: beryl-manager: orden no encontrada (lo mismo me sale si antepongo “sudo”)

    y tecleando uname -a me arroja esto(no se si sera importante):

    Linux samot 2.6.15-28-386 #1 PREEMPT Wed Jul 18 22:50:32 UTC 2007 i686 GNU/Linux

    bueno, cualquier ayuda que me sirva a encontrar y aplicar beryl en mi kubuntu 6.06 lo agradeceria…

    saludos man 😉

  35. Strike on

    Samot trata de ejecutar de nuevo el script, o has lo sigiente:

    sudo apt-get install beryl beryl-manager

    Saludos.

  36. Samoy on

    gracias pero no me resulto, no puedo instalar beryl, sale que ke no se puede instalar ni actualizar ni eliminar ningun paquete 😦

  37. Strike on

    Samoy: Haz lo siguiente:
    sudo kate /etc/apt/sources.list

    y agrega esto al final:
    deb http://ubuntu.beryl-project.org/ edgy main

    Despues lo guardas y ejecutas:
    sudo apt-get update

    y por ultimo,
    sudo apt-get install beryl beryl-manager emerald emerald-themes

    Saludos.

  38. Primitivo on

    muchas gracias Strike… voy a poner algo parecido en mi blog.
    y estamos en contacto.

    —>>>Si tu sistema operativo es windows y funciona sin errores, es que debe estar fallando algo<<<—

  39. efrain on

    hola striker mira mi problemas es que tengo una toshiba satellite A205-4777 y le e instalado ubuntu pero trai el chip Mobile Intel GM965 Express y no me quiere jalar los graficos de el escritorio si me podria ayudar o si tienes el driver saludos.

  40. domobe18 on

    hola amigos tengo instalado el kubuntu 7.1 y nose comoactivarle el beryl, la configuracion de mi pc es boart intel 945, procesador intel pentiun 4. y memoria ram de 1gigas.alguien que me pueda ayudar gracias.desde colombia que “viva linux”

  41. ferkira on

    porque ubuntu no reconose las unidades de windos?


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s

A %d blogueros les gusta esto: